{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.silverlabs_nat.jellyfish.main": {
      "states": {
        "default": {
          "animations": ["idle"],
          "transitions": [
            { "swim": "q.is_swimming" },
            {
              "idle_event": "math.random_integer(0, 2000) == 0 && !q.is_swimming"
            },
            { "land": "!q.is_in_water" }
          ]
        },
        "swim": {
          "animations": ["swim"],
          "transitions": [{ "default": "q.all_animations_finished" }],
          "blend_transition": 0.5
        },
        "idle_event": {
          "animations": ["idle_event"],
          "transitions": [{ "default": "q.all_animations_finished" }],
          "blend_transition": 0.5
        },
        "land": {
          "animations": ["land"],
          "transitions": [{ "default": "q.is_in_water" }],
          "blend_transition": 0.5
        }
      }
    }
  }
}
